<!DOCTYPE html>
<html>
<head>
  </head>
  <body>


<div class=" panel panel-default">
<div class="panel-heading">
  <h2> <strong> Ajouter Station </strong></h2></div>
    <br> 
<div class="panel-body" >
<form [formGroup]="f"(ngSubmit)="onSubmit()" >


<div class="form-group ">
<input type="text" name="adresse" placeholder="Entrer Adresse du station" formControlName="adresse" class="form-control"[(ngModel)]="station.adresse" > 
<div *ngFor="let validation of validation_messages.adresse">
  <div class="error-message" *ngIf="f.get('adresse').hasError(validation.type) &&  (f.get('adresse').dirty ||  f.get('adresse').touched)">             
    {{validation.message}} 
  </div>
</div>
<br>
</div>



<div class="form-group ">
  <input type="text" name="nom"  placeholder=" Entrer Nom du station" pattern="[a-zA-Z ]*"formControlName="nom" class="form-control" [(ngModel)]="station.nom"> 
  <div *ngFor="let validation of validation_messages.nom">
    <div class="error-message" *ngIf="f.get('nom').hasError(validation.type) &&  (f.get('nom').dirty ||  f.get('nom').touched)">              
      {{validation.message}} 
    </div>
  </div>
  <br>
  </div>
 

<div class="form-group ">
<input type="number" name="longitude" placeholder="Entrer Longitude" formControlName="longitude" class="form-control"  [(ngModel)]="station.longitude"> 
<div *ngFor="let validation of validation_messages.longitude">
  <div class="error-message" *ngIf="f.get('longitude').hasError(validation.type) &&  (f.get('longitude').dirty ||  f.get('longitude').touched)">              
    {{validation.message}} 
  </div>
</div>
<br>
</div>



<div class="form-group ">
<input type="number" name="altitude" placeholder=" Entrer Altitude" class="form-control" formControlName="altitude"  [(ngModel)]="station.altitude"> 
<div *ngFor="let validation of validation_messages.altitude">
  <div class="error-message" *ngIf="f.get('altitude').hasError(validation.type) &&  (f.get('altitude').dirty ||  f.get('altitude').touched)">              
    {{validation.message}} 
  </div>
</div>
<br>
</div>


<form (ngSubmit)="onSubmit()" >

    <div class="form-group ">
    <input type="number" name="niveau_zoom" class="form-control" placeholder=" Entrer Niveau Zoom"[(ngModel)]="station.niveau_zoom"> 
    </div>
    <br>
  </form>

<button type="submit" class="btn btn-success "> Ajouter</button> 
&nbsp;&nbsp;
<button type="reset" class="btn btn-warning" > Annuler</button>


</form>
</div>
</div>


</body>

</html>
